import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		build_id: commonLogic.appcommonhandle("标识",null),
		build_name: commonLogic.appcommonhandle("名称",null),
		last_runtime: commonLogic.appcommonhandle("上次执行时间",null),
		model_id: commonLogic.appcommonhandle("模型标识",null),
		model_name: commonLogic.appcommonhandle("模型名称",null),
		state: commonLogic.appcommonhandle("状态",null),
		dadimensions: commonLogic.appcommonhandle("维度",null),
		total: commonLogic.appcommonhandle("总数",null),
		processed: commonLogic.appcommonhandle("已处理数",null),
		ext_params: commonLogic.appcommonhandle("扩展参数",null),
		system_id: commonLogic.appcommonhandle("系统标识",null),
	},
		views: {
			gridview: {
				caption: commonLogic.appcommonhandle("分析",null),
				title: commonLogic.appcommonhandle("分析表格视图",null),
			},
			mpickupview: {
				caption: commonLogic.appcommonhandle("分析",null),
				title: commonLogic.appcommonhandle("分析数据多项选择视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("分析",null),
				title: commonLogic.appcommonhandle("分析编辑视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("分析",null),
				title: commonLogic.appcommonhandle("分析选择表格视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("分析",null),
				title: commonLogic.appcommonhandle("分析数据选择视图",null),
			},
		},
		main_form: {
			details: {
				druipart1: commonLogic.appcommonhandle("指标",null), 
				tabpage1: commonLogic.appcommonhandle("指标",null), 
				tabpage2: commonLogic.appcommonhandle("维度",null), 
				tabpage3: commonLogic.appcommonhandle("扩展参数",null), 
				tabpanel1: commonLogic.appcommonhandle("",null), 
				group1: commonLogic.appcommonhandle("分析基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				buildname: commonLogic.appcommonhandle("名称",null), 
				lastruntime: commonLogic.appcommonhandle("上次执行时间",null), 
				modelname: commonLogic.appcommonhandle("模型名称",null), 
				buildstate: commonLogic.appcommonhandle("状态",null), 
				total: commonLogic.appcommonhandle("总数",null), 
				processed: commonLogic.appcommonhandle("已处理数",null), 
				dadimension: commonLogic.appcommonhandle("维度",null), 
				extparams: commonLogic.appcommonhandle("扩展参数",null), 
				modelid: commonLogic.appcommonhandle("模型标识",null), 
				systemid: commonLogic.appcommonhandle("系统标识",null), 
				buildid: commonLogic.appcommonhandle("标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				buildname: commonLogic.appcommonhandle("名称",null),
				modelname: commonLogic.appcommonhandle("模型名称",null),
				lastruntime: commonLogic.appcommonhandle("上次执行时间",null),
				buildstate: commonLogic.appcommonhandle("状态",null),
				total: commonLogic.appcommonhandle("总数",null),
				processed: commonLogic.appcommonhandle("已处理数",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_buildname_like: commonLogic.appcommonhandle("名称(文本包含(%))",null), 
				n_modelname_like: commonLogic.appcommonhandle("模型名称(文本包含(%))",null), 
				n_systemid_eq: commonLogic.appcommonhandle("系统标识(=)",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("Filter",null),
				tip: commonLogic.appcommonhandle("Filter",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("Help",null),
				tip: commonLogic.appcommonhandle("Help",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem1_run: {
				caption: commonLogic.appcommonhandle("运行",null),
				tip: commonLogic.appcommonhandle("运行",null),
			},
			tbitem1_check: {
				caption: commonLogic.appcommonhandle("校验",null),
				tip: commonLogic.appcommonhandle("校验",null),
			},
			tbitem2: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("Remove And Close",null),
				tip: commonLogic.appcommonhandle("Remove And Close Window",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Save And New",null),
				tip: commonLogic.appcommonhandle("Save And New",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("Help",null),
				tip: commonLogic.appcommonhandle("Help",null),
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;